### GET /iot/edge/configs/{configId} Source: https://connhex.com/api/core/latest/remote-init/api.json Retrieves config info by id. Required Permission: - Resource: ```core:configs:{id}``` - Action: ```core:configs:get``` ```markdown ### Parameters - **configId** (string (uuid), path, required): Unique Config identifier. It's the ID of the corresponding Thing. ### Responses #### 200 - response **Config** - **connhex_id** (string (uuid)): Corresponding Connhex Thing ID. - **connhex_key** (string (uuid)): Corresponding Connhex Thing key. - **connhex_channels** (array (object)) Array items: - **id** (string (uuid)): Channel unique identifier. - **name** (string): Name of the Channel. - **metadata** (object): Custom metadata related to the Channel. - **init_id** (string) (required): MAC address or other identifier. - **init_key** (string) (required): init key. - **content** (string): Free-form custom configuration. - **state** (integer) ("0"|"1") #### 401 - Unauthorized. Unauthorized. #### 404 - Config not found. Config not found. #### 500 - response Unexpected server error. ### Example Usage ```bash curl -X GET "https://apis./iot/edge/configs/{configId}" ``` ``` -------------------------------- ### GET /iot/edge/init/{initId} Source: https://connhex.com/api/core/latest/remote-init/api.json Retrieves a configuration with given init ID and init key. ```markdown ### Parameters - **initId** (string, path, required): Unique Config identifier provided by init entity. ### Responses #### 200 - response **BootstrapConfig** - **connhex_id** (string (uuid)) (required): Corresponding Connhex Thing ID. - **connhex_key** (string (uuid)) (required): Corresponding Connhex Thing key. - **connhex_channels** (array (object)) (required) Array items: - **id** (string (uuid)): Channel unique identifier. - **name** (string): Name of the Channel. - **metadata** (object): Custom metadata related to the Channel. - **content** (string) (required): Free-form custom configuration. - **client_cert** (string): Client certificate. - **client_key** (string): Key for the client_cert. - **ca_cert** (string): Issuing CA certificate. #### 400 - Bad request. Bad request. #### 401 - Unauthorized. Unauthorized. #### 404 - Config not found. Config not found. #### 500 - response Unexpected server error. ### Example Usage ```bash curl -X GET "https://apis./iot/edge/init/{initId}" ``` ``` -------------------------------- ### Security: $ref Source: https://connhex.com/api/core/latest/remote-init/api.json Security scheme: $ref ```markdown ## Security: $ref **Description:** Security scheme: $ref **Type:** unknown ``` -------------------------------- ### Schema: ConfigList Source: https://connhex.com/api/core/latest/remote-init/api.json Schema definition for ConfigList ```markdown ## Schema: ConfigList Schema definition for ConfigList **Type:** object - **total** (integer): Total number of results. - **offset** (integer): Number of items to skip during retrieval. - **limit** (integer): Size of the subset to retrieve. - **configs** (array (Config)) Array items: - **connhex_id** (string (uuid)): Corresponding Connhex Thing ID. - **connhex_key** (string (uuid)): Corresponding Connhex Thing key. - **connhex_channels** (array (object)) Array items: - **id** (string (uuid)): Channel unique identifier. - **name** (string): Name of the Channel. - **metadata** (object): Custom metadata related to the Channel. - **init_id** (string) (required): MAC address or other identifier. - **init_key** (string) (required): init key. - **content** (string): Free-form custom configuration. - **state** (integer) ("0"|"1") ``` -------------------------------- ### Schema: Config Source: https://connhex.com/api/core/latest/remote-init/api.json Schema definition for Config ```markdown ## Schema: Config Schema definition for Config **Type:** object - **connhex_id** (string (uuid)): Corresponding Connhex Thing ID. - **connhex_key** (string (uuid)): Corresponding Connhex Thing key. - **connhex_channels** (array (object)) Array items: - **id** (string (uuid)): Channel unique identifier. - **name** (string): Name of the Channel. - **metadata** (object): Custom metadata related to the Channel. - **init_id** (string) (required): MAC address or other identifier. - **init_key** (string) (required): init key. - **content** (string): Free-form custom configuration. - **state** (integer) ("0"|"1") ``` -------------------------------- ### API Overview: connhex-remote-init Source: https://connhex.com/api/core/latest/remote-init/api.json OpenAPI specification version 1.5.0 ```yaml # connhex-remote-init # Version: 1.5.0 OpenAPI specification # Base URL: https://apis. ``` -------------------------------- ### Schema: BootstrapConfig Source: https://connhex.com/api/core/latest/remote-init/api.json Schema definition for BootstrapConfig ```markdown ## Schema: BootstrapConfig Schema definition for BootstrapConfig **Type:** object - **connhex_id** (string (uuid)) (required): Corresponding Connhex Thing ID. - **connhex_key** (string (uuid)) (required): Corresponding Connhex Thing key. - **connhex_channels** (array (object)) (required) Array items: - **id** (string (uuid)): Channel unique identifier. - **name** (string): Name of the Channel. - **metadata** (object): Custom metadata related to the Channel. - **content** (string) (required): Free-form custom configuration. - **client_cert** (string): Client certificate. - **client_key** (string): Key for the client_cert. - **ca_cert** (string): Issuing CA certificate. ``` -------------------------------- ### POST /iot/edge/configs Source: https://connhex.com/api/core/latest/remote-init/api.json Adds new config to the list of config owned by user identified using the provided access token. Required Permission: - Resource: ```core:configs``` - Action: ```core:configs:create``` ```markdown ### Request Body **Content-Type:** application/json - **init_id** (string) (required): MAC address or other indentifier. - **init_key** (string) (required): init key. - **thing_id** (string): ID of the corresponding Connhex Thing. - **channels** (array (string)) - **content** (string) ### Responses #### 201 - response Config created. #### 400 - Bad request. Bad request. #### 401 - Unauthorized. Unauthorized. #### 415 - Missing or unsupported content type. Missing or unsupported content type. #### 500 - response Unexpected server error. ### Example Usage ```bash curl -X POST "https://apis./iot/edge/configs" \ -H "Content-Type: application/json" \ -d '{ "example": "data" }' ``` ``` -------------------------------- ### PUT /iot/edge/configs/{configId} Source: https://connhex.com/api/core/latest/remote-init/api.json Update is performed by replacing the current resource data with values provided in a request payload. Note that the owner, ID, init ID, init key, Connhex Thing ID and key cannot be changed. Required Permission: - Resource: ```core:configs:{id}``` - Action: ```core:configs:update``` ```markdown ### Parameters - **configId** (string (uuid), path, required): Unique Config identifier. It's the ID of the corresponding Thing. ### Request Body **Content-Type:** application/json - **content** (string) (required) - **name** (string) (required) ### Responses #### 200 - Config updated. Empty response body #### 400 - Bad request. Bad request. #### 401 - Unauthorized. Unauthorized. #### 404 - Config not found. Config not found. #### 415 - Missing or unsupported content type. Missing or unsupported content type. #### 500 - response Unexpected server error. ### Example Usage ```bash curl -X PUT "https://apis./iot/edge/configs/{configId}" \ -H "Content-Type: application/json" \ -d '{ "example": "data" }' ``` ``` -------------------------------- ### Schema: State Source: https://connhex.com/api/core/latest/remote-init/api.json Schema definition for State ```markdown ## Schema: State Schema definition for State **Type:** integer ``` === COMPLETE CONTENT === This response contains all available snippets from this library. No additional content exists. Do not make further requests.